%dMAVE (code from Liping Zhu) 
clear
p=10; d=2;

true1=[ones(1,3),zeros(1,7)]';
true2=[1,zeros(1,3),1,3,zeros(1,4)]';
true=[true1,true2];
b0=true*(true'*true)^(-1)*true';

ssize=200; 
estsir5=zeros(ssize,2);
estphd=zeros(ssize,2);


for i=1:ssize
    i
    filename=strcat('dataInd200Sig1_',num2str(i),'.txt');
    data=dlmread(filename);
    x=data(:,1:p);
    y=data(:,p+1);
    
    out=invreg(x,y,5);
    out=out.direction(:,1:d);
    out=out*(out'*out)^(-1)*out';
    estsir5(i,:)=[sqrt(trace(out*b0)/d),max(abs(eig(out-b0)))];
    
    out=phd(x,y);
    out=out.rdirection(:,1:d);
    out=out*(out'*out)^(-1)*out';
    estphd(i,:)=[sqrt(trace(out*b0)/d),max(abs(eig(out-b0)))];
end

format shortG
round([mean(estsir5(:,1)), mean(estphd(:,1)); std(estsir5(:,1)), std(estphd(:,1))],3)
save PhdSir_Ind200Sig1.mat








