function [out]=randir(d,n)
rmax=1;
v = randn(d,n);
r = rmax * rand(1,n).^(1/d);
c = r./sqrt(sum(v.^2,1));
v = bsxfun(@times, v, c);

%plot(v(9,:),v(10,:),'.')
%axis equal

nrm=sqrt(sum(v.^2,1)); %calculating the norm of the vectors
size(nrm);
V=ones(d,n);
for i=1:n
    V(:,i) = v(:,i)/nrm(i);
end
%plot(out(1,:),out(2,:),'.') %All norm-1 random vectors
%axis equal
%out.rmax=v;
%out.unit=V;
out=V;

%%%%%%%%%%%%%%%%%%%%%%%%%%
%out=randir(2,1000,5)
%plot(out(1,:),out(2,:),'.') %All norm-1 random vectors
%axis equal